Subject: Re: bug#36974: 26.2.90; [PATCH] Add imenu support to xref

From: Dmitry Gutov <[email-masked]>
Date: Fri, 27 Dec 2019 16:50:31 +0300

On 27.12.2019 12:11, Damien Cassou wrote:
> can you please tell what typo you are referring to? Also, when you say
> "had" a typo, do you mean someone fixed it somewhere? Can you please
> give a little more details? I can't find any fix.

It's this one:

commit 9ea9ac9a61067995a3f7a38f62766f32a8c38bb2
Author: Dmitry Gutov <[email-masked]>
Date:   Tue Dec 24 22:30:02 2019 +0200

     Apply the 'xref-group' property properly

     * lisp/progmodes/xref.el (xref--insert-xrefs):
     Apply the 'xref-group' property properly (bug#36974).

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index 8d8e7ab208..13a1600594 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -814,7 +814,7 @@ xref--insert-xrefs
             for line-format = (and max-line-width
                                    (format "%%%dd: " max-line-width))
             do
-           (xref--insert-propertized '(face xref-file-header 'xref-group t)
+           (xref--insert-propertized '(face xref-file-header xref-group t)
                                       group "\n")
             (cl-loop for (xref . more2) on xrefs do
                      (with-slots (summary location) xref

>> Considering it's been applied 4 months ago and nobody noticed the
>> problem, maybe it's not that useful after all?
> 
> 
> I haven't switched to Emacs 27 yet.

I hope you were going to do that before the release.